--- title: "Get IVX Broker authentication status at Device level" slug: "get-ivx-broker-authentication-status-at-device-level-1" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/get-ivx-broker-authentication-status-at-device-level-1" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get IVX Broker authentication status at Device level This URL obtains the IVX broker authentication status at Sensor/Device level. ### Resource URL POST /VXIntegration/sensor//getVxBrokerAuthStatus ### Request Parameters | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor ID | Number | Yes | | `vxEnableCertValidation` | Enable or disable certificate validation | Boolean | Yes | | `vxEnableProxy` | Enable or disable proxy for IVX communication | Boolean | Yes | | `vxIpAddress` | IP address of the broker node > [!NOTE] > Note > > If you are on a Sensor version prior to 11.1 Update 4, you need enter only IPv4 address of the single broker node. | String | Yes | | `vxPassword` | Password for broker node authentication | String | Yes | | `vxUserName` | Username for broker node authentication | String | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `success` | Success status (true or false) | Boolean | | `msg` | Message | String | | `errMsg` | Error message | String | | `data` | Data | String | | `errorCode` | Error code | String | | `vxIpAddress` | IP address of the broker node | String | | `vxIpAddress` | IP address of the broker node | String | | `managerAuthSuccessful` | Authentication status of the Manager with the IVX appliance | Boolean | | `mgrAuthFailureReason` | Reason for the authentication failure | String | | `sensorAuthStatus` | Authentication status of the Sensor with the IVX appliance | String | ### Example **Request** POST [https:///sdkapi/VXIntegration/sensor/1001/getVxBrokerAuthStatus](HTTPS:/10.213.2.75/SDKAPI/VXINTEGRATION/SENSOR/_3CSENSOR_ID_3E/GETVXBROKERAUTHSTATUS) Payload: ``` {    "vxEnableCertValidation": false,    "vxEnableProxy": true,    "vxIpAddress": "10.213.2.35",    "vxPassword": "admin123",    "vxUserName": "admin" } ``` **Response** ``` {    "success": true,    "msg": null,    "errMsg": null,    "data": null,    "errorCode": 0,    "vxIpAddress": "10.213.2.35",    "managerAuthSuccessful": true,    "mgrAuthFailureReason": null,    "sensorAuthStatus": "Successful" } ``` ### Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor |